#ifndef SLAVESTAB_H
#define SLAVESTAB_H

#include <QWidget>
#include <QBoxLayout>
#include <QSpinBox>

#include "pcgroupbox.h"
#include "labelledwidget.h"

class SlavesTab : public QWidget
{
    Q_OBJECT
    QBoxLayout *layout;
    QBoxLayout *groupboxes;

    LabelledWidget<QLineEdit> *host_address;
    
    LabelledWidget<QSpinBox> *delay_spinner;
	LabelledWidget<QSpinBox> *time_slave;
    LabelledWidget<QSpinBox> *slaves_by_computer;

public:
    explicit SlavesTab(QWidget *parent = nullptr);
    void addPcGroupBox(PCGroupBox *pgb);

signals:

public slots:
private slots:
    void print_command();
};

#endif // SLAVESTAB_H
