#ifndef PCGROUP_H
#define PCGROUP_H

#include <QGroupBox>
#include <QCheckBox>
#include <iostream>
#include <vector>

using namespace std;

class PCGroupBox : public QGroupBox
{
    Q_OBJECT

    size_t size;
public:
    PCGroupBox(string line);
    int is_empty();
public slots:
    vector<string> selected_machines();
    void print_selected_machines();
};


string remove_comments(string s);
string remove_spaces(string s);
string chop_name(string &s);

vector<string> parse_machines(string s);

#endif // PCGROUP_H
